#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x95,0x7D,0x51,0xE9,0x09,0xEA,0xAE,0xD0,0x79,0x1B,0xC9,0xBB,
		0x0A,0x4D,0x1D,0x93,0xF6,0x27,0x54,0x33,0xF6,0xCF,0xBD,0xBD,
		0x48,0x4C,0xA7,0x46,0x26,0xC7,0xCA,0x68,0xC7,0x32,0xFD,0x12,
		0xDA,0xDC,0xE5,0xFA,0x41,0xEC,0x50,0x51,0xCB,0x91,0x7A,0x9A,
		0xE9,0x1E,0xBF,0xA2,0x60,0xBC,0xDB,0x4A,0x3C,0x5F,0x21,0x30,
		0xC6,0x06,0x97,0xDB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
